Supported browsers

Full Medium experience is supported for the two most recent versions of the following desktop browsers:

This includes logging in, composing and editing stories, interacting through notes, and using all the other Medium features. Users of other browsers and versions should be able to read Medium articles, but we suggest that you use the most recent version of the browsers listed above.

Was this article helpful?
Have more questions? Submit a request
Powered by Zendesk